import type { CID } from "multiformats/cid";
import { AddResult, FileContent } from "../../ipfs/index.js";
import BaseFile from "../base/file.js";
export declare class BareFile extends BaseFile {
    static create(content: FileContent): BareFile;
    static fromCID(cid: CID): Promise<BareFile>;
    static instanceOf(obj: unknown): obj is BareFile;
    put(): Promise<CID>;
    putDetailed(): Promise<AddResult>;
}
export default BareFile;
